Page MenuHomePhabricator

Enable ansicolor globally in Jenkins when plugin is released
Closed, ResolvedPublic

Description

The Ansicolor plugin has a feature in master to enable the plugin globally. https://github.com/jenkinsci/ansicolor-plugin/pull/165

Commit https://github.com/jenkinsci/ansicolor-plugin/pull/165/commits/8d7e624f89f71f47a963ffdb889214cfaf8646d5

When it is released, we should update the plugin on Jenkins instances and enable the plugin globally. Then I guess we can cleanup the JJB configuration to remove ansicolor entirely.

Event Timeline

hashar created this task.Sep 24 2019, 8:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2019, 8:12 AM
hashar updated the task description. (Show Details)Sep 24 2019, 8:12 AM

It looks like the 0.6.3 release is available and contains this commit.

We have ansicolor 0.6.2 right now.

0.6.3 (02/24/2020)

  • #163: Use OpenJDK on Trusty Linux in Travis-CI - @dblock.
  • #163: Cache maven installation in Travis-CI - @dblock.
  • #165: Allow for specifying a global color map - @kcboschert.
  • #168: Fix for working with moving sequences and other invisible escape codes - @tszmytka
  • #169: Set up config and jenkins pipeline for testing/building the plugin on ci.jenkins.io - @tszmytka
  • #171: Display colors without reloading page - @jglick.
hashar triaged this task as Medium priority.Apr 18 2020, 5:51 PM

Mentioned in SAL (#wikimedia-releng) [2020-05-06T13:29:46Z] <hashar> Updating Jenkins ansicolor from 0.6.2 to 0.6.3 # T233688

Mentioned in SAL (#wikimedia-releng) [2020-05-06T13:50:05Z] <hashar> Jenkins: enable xterm ansi color map for all builds via https://integration.wikimedia.org/ci/configure # T233688

hashar claimed this task.May 6 2020, 1:51 PM

I have updated the plugin and set xterm has the color map for all builds. So tentatively we should be able to remove the per jobs configuration we have in jjb:

wrappers:
    - ansicolor

Change 594716 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] jjb: remove ansicolor, globally enabled

https://gerrit.wikimedia.org/r/594716

Mentioned in SAL (#wikimedia-releng) [2020-05-06T20:20:52Z] <hashar> Running jjb for all Jenkins jobs to drop ansicolor definition (now globally enabled) https://gerrit.wikimedia.org/r/#/c/integration/config/+/594716/ # T233688

Change 594716 merged by jenkins-bot:
[integration/config@master] jjb: remove ansicolor, globally enabled

https://gerrit.wikimedia.org/r/594716

hashar closed this task as Resolved.May 6 2020, 8:32 PM